package com.xxh.cloud.frontend.common.modules.exception;


import java.util.Arrays;

/**
 * 自定义异常
 */
public class BusinessException extends RuntimeException {
	private static final long serialVersionUID = 1L;

    private int code;
	private String msg;

	public BusinessException(int code) {
		this.code = code;
	}

	public BusinessException(int code, Throwable e) {
		super(e);
		this.code = code;
	}


	public BusinessException(int code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public BusinessException(int code , String msg, Throwable e) {
		super(e);
		this.code = code;
		this.msg = msg;
	}



	public BusinessException(IErrorCodeEnum errorCode) {
		this.code = errorCode.getCode();
		this.msg = errorCode.getMsg();
	}


	public BusinessException(IErrorCodeEnum errorCode, String... params) {
		this.code = errorCode.getCode();
		this.msg = errorCode.getMsg() + ":" + Arrays.toString(params);
		//todo:
	}

	public BusinessException(IErrorCodeEnum errorCode, Throwable e) {
		super(e);
		this.code = errorCode.getCode();
		this.msg = errorCode.getMsg();
	}


	public BusinessException(String msg) {
		super(msg);
		this.code =  BusinessBaseErrorEnum.INTERNAL_SERVER_ERROR.getCode();
		this.msg = msg;
	}

	public BusinessException(String msg, Throwable e) {
		super(msg, e);
		this.code = BusinessBaseErrorEnum.INTERNAL_SERVER_ERROR.getCode();
		this.msg = msg;
	}


	//XxhErrorEnum


	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

}