package com.xxh.cloud.frontend.common.modules.exception;

import com.xxh.cloud.frontend.common.modules.modules.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;


@RestControllerAdvice
public class GlobalExceptionHandler {


    private static final Logger logger = LoggerFactory.getLogger(GlobalExceptionHandler.class);


    /**
     * 处理XxhException异常
     */
    @ExceptionHandler(BusinessException.class)
    public Result handleRenException(BusinessException ex){
        System.out.println("++++++++++++ XxhException ");
        Result result = new Result();
        result.error(ex.getCode(), ex.getMsg());
        return result;
    }

    /**
     * 处理Exception异常
     */
    @ExceptionHandler(Exception.class)
    public Result handleException(Exception ex){
        System.out.println("++++++++++++ 处理 Exception 异常");
        logger.error(ex.getMessage(), ex);
        this.saveLog(ex);
        Result<String> result = new Result();
        result.error(ex.getMessage());
        return result;
    }


    private void saveLog(Exception ex){
        //todo:anros saveLog
    }


}
