package com.xxh.cloud.frontend.common.modules.his.config;


import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
@Getter
@Setter
public class SysProjectConfig {

    /** accesstoken来源 his/wx **/
    @Value("${sys-config.access:wx}")
    private String access;

    /** 海慈的host **/
    @Value("${sys-config.his.host:null}")
    private String host;

    /** 海慈的key **/
    @Value("${sys-config.his.key:null}")
    private String key;

    @Value("${sys-config.wx.appid:null}")
    private String appid;

    @Value("${sys-config.wx.secret:null}")
    private String secret;

    @Value("${sys-config.wx.temp-msg.check-enable:false}")
    private boolean checkEnable;

    @Value("${sys-config.wx.temp-msg.white:null}")
    private String white;

    public List<String> whiteList(){
        if (StrUtil.isNotEmpty(this.white)) {
            return CollUtil.newArrayList(this.white.split(","));
        } else {
            return new ArrayList<>();
        }
    }
}
