package com.xxh.cloud.frontend.common.modules.util;

import java.net.InetAddress;
import java.net.UnknownHostException;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import cn.hutool.core.util.StrUtil;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class IpUtils {

   public static String getIpAddr(HttpServletRequest request) {
      String unknown = "unknown";
      String ip = null;

      try {
         ip = request.getHeader("x-forwarded-for");
         if (StrUtil.isEmpty(ip) || unknown.equalsIgnoreCase(ip)) {
            ip = request.getHeader("Proxy-Client-IP");
         }

         if (StrUtil.isEmpty(ip) || ip.length() == 0 || unknown.equalsIgnoreCase(ip)) {
            ip = request.getHeader("WL-Proxy-Client-IP");
         }

         if (StrUtil.isEmpty(ip) || unknown.equalsIgnoreCase(ip)) {
            ip = request.getHeader("HTTP_CLIENT_IP");
         }

         if (StrUtil.isEmpty(ip) || unknown.equalsIgnoreCase(ip)) {
            ip = request.getHeader("HTTP_X_FORWARDED_FOR");
         }

         if (StrUtil.isEmpty(ip) || unknown.equalsIgnoreCase(ip)) {
            ip = request.getRemoteAddr();
         }
      } catch (Exception var4) {
         log.error("IPUtils ERROR ", var4);
      }

      return ip;
   }

   public static String getIpAddr() {
      if (RequestContextHolder.getRequestAttributes() != null) {
         HttpServletRequest request = ((ServletRequestAttributes)RequestContextHolder.getRequestAttributes()).getRequest();
         return getIpAddr(request);
      } else {
         return getLocalIp();
      }
   }

   public static String getLocalIp() {
      try {
         return InetAddress.getLocalHost().getHostAddress();
      } catch (UnknownHostException var1) {
         log.error("获取本机IP错误", var1);
         return null;
      }
   }
}
