package com.xxh.cloud.frontend.common.modules.util;

import java.util.List;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import com.xxh.cloud.frontend.common.modules.exception.BusinessException;

import cn.hutool.core.util.StrUtil;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Configuration
public class IpWhite {

   @Value("${xxl.ip.white.enable:false}")
   private Boolean enable;

   @Value("${xxl.ip.white.list:}")
   private List<String> whiteList;

   public void validatorIpWhite() {
      String ip = IpUtils.getIpAddr();
      log.info("ip >>>>>> {}", ip);

      if (null != enable && enable) {
         if (StrUtil.isBlank(ip) || !whiteList.contains(ip)) {
            throw new BusinessException("无访问权限");
         }
      }
   }
}
