package com.xxh.cloud.frontend.common.modules.weixin;

import cn.hutool.json.JSONUtil;
import com.company.cloud.sdk.weixin.common.config.WxApiConfig;
import com.company.cloud.sdk.weixin.mini.WxMiniApi;
import com.company.cloud.sdk.weixin.mini.model.Code2SessionModel;
import com.company.cloud.sdk.weixin.mini.model.Code2SessionResp;
import com.company.cloud.sdk.weixin.mini.model.DecryptDataModel;
import com.xxh.cloud.frontend.common.modules.weixin.dto.BindMobileByWxDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 微信小程序
 * */
@Slf4j
@Service
public class ThirdWeixinLoginMiniService {


    public Code2SessionResp getLoginAuthToken(WxApiConfig config, String jscode){
        log.info("---getLoginAuthToken(WxApiConfig config, String jscode)");
        Code2SessionModel param=new Code2SessionModel();
        param.setAppid(config.getAppid());
        param.setSecret(config.getSecret());
        param.setJs_code(jscode);
        Code2SessionResp resp= WxMiniApi.code2Session(param);
        log.info(JSONUtil.toJsonStr(resp));
        return resp;
    }

    public String getMobileByOpenId(BindMobileByWxDTO param) {
        log.info("---getMobileByOpenId(BindMobileByWxDTO param)");
        DecryptDataModel decryptData = new DecryptDataModel();
        decryptData.setEncryptedData(param.getEncryptedData());
        decryptData.setIv(param.getIv());
        String result = WxMiniApi.decryptData(decryptData);
        log.error("微信解密信息:" + result);
        return result;
    }




}
