package com.xxh.cloud.frontend.mq.model;


import cn.hutool.json.JSONUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 如果用自定义bean作为activemq的参数，则必须实现序列化
 */
@Data
public class MqSendDelayModel {

    @ApiModelProperty(value = "队列/广播 [ActiveMqTypeEnum] queue/topic")
    private String sendModel;

    @ApiModelProperty(value = "队列/广播目标")
    private String target;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "延迟(s)")
    private Integer delay;

    public MqSendDelayModel() {

    }
    public MqSendDelayModel(String sendModel, String target, String content, Integer delay) {
        this.sendModel = sendModel;
        this.target = target;
        this.content = content;
        this.delay = delay;
    }

    public MqSendDelayModel(String sendModel, String target, MqMessageModel content, Integer delay) {
        this.sendModel = sendModel;
        this.target = target;
        this.content = JSONUtil.toJsonStr(content);
        this.delay = delay;
    }

}

