package com.xxh.cloud.frontend.mq.model;


import cn.hutool.json.JSONUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 如果用自定义bean作为activemq的参数，则必须实现序列化
 */
@Data
public class MqSendModel {

    @ApiModelProperty(value = "队列/广播 [ActiveMqTypeEnum] queue/topic")
    private String sendModel;

    @ApiModelProperty(value = "队列/广播目标")
    private String target;

    @ApiModelProperty(value = "消息内容")
    private String content;

    public MqSendModel() {

    }

    public MqSendModel(String sendModel, String target, String content) {
        this.sendModel = sendModel;
        this.target = target;
        this.content = content;
    }

    public MqSendModel(String sendModel, String target, MqMessageModel content) {
        this.sendModel = sendModel;
        this.target = target;
        this.content = JSONUtil.toJsonStr(content);
    }
}

